Uses of Class
org.apache.juneau.rest.client.RecordStreamBody
Packages that use RecordStreamBody
Package
Description
Next-generation REST client — transport-agnostic HTTP client built on Juneau's serialization stack.
-
Uses of RecordStreamBody in org.apache.juneau.rest.client
Methods in org.apache.juneau.rest.client that return RecordStreamBodyModifier and TypeMethodDescriptionstatic RecordStreamBodyRecordStreamBody.records(Consumer<RecordWriter> consumer) Creates a body that streams via aRecordWriter(whole-value record cursor) using the default JSON serializer.static RecordStreamBodyRecordStreamBody.records(Serializer serializer, Consumer<RecordWriter> consumer) Creates a body that streams via aRecordWriter(whole-value record cursor) using the given serializer.RecordStreamBody.repeatable()Returns a copy of this body flagged as repeatable.static RecordStreamBodyRecordStreamBody.token(Consumer<TokenWriter> consumer) Creates a body that streams via aTokenWriter(fine-grained structural cursor) using the default JSON serializer.static RecordStreamBodyRecordStreamBody.token(Serializer serializer, Consumer<TokenWriter> consumer) Creates a body that streams via aTokenWriter(fine-grained structural cursor) using the given serializer.Methods in org.apache.juneau.rest.client with parameters of type RecordStreamBodyModifier and TypeMethodDescriptionRestRequest.streamBodyEntity(RecordStreamBody value) Sets the request body to a token/record-streaming cursor body.